=== modified file 'api-suite'
--- api-suite	2017-03-19 11:30:26 +0000
+++ api-suite	2017-03-19 12:58:08 +0000
@@ -12,6 +12,8 @@
 maas-api.py:TestMAASAPI.test_maashandler_auth_get_config_http_proxy
 maas-api.py:TestMAASAPI.test_accounthandler_auth_list_authorisation_tokens
 maas-api.py:TestMAASAPI.test_accounthandler_auth_create_authorisation_token
+maas-api.py:TestMAASAPI.test_accounthandler_auth_update_token_name
+maas-api.py:TestMAASAPI.test_accounthandler_auth_delete_authorisation_token
 maas-api.py:TestMAASAPI.test_sshkeyshandler_auth_create
 maas-api.py:TestMAASAPI.test_sshkeyshandler_auth_read
 maas-api.py:TestMAASAPI.test_rackcontrollershandler_auth_read

=== modified file 'maas-api.py'
--- maas-api.py	2017-03-19 12:21:09 +0000
+++ maas-api.py	2017-03-19 12:58:08 +0000
@@ -324,6 +324,8 @@
             uri, data=data, auth=self.oauth, headers=api.APP_JSON_HEADER
         )
         self.assertTrue(response.ok, response.text)
+        # Save it as we need it to delete the same
+        self.shelf['token_key'] = response.json()['token_key']
         self.assertThat(response.json(), MatchesDict({
             'consumer_key': MatchesRegex(r'\w{18}'),
             'token_key': MatchesRegex(r'\w{18}'),
@@ -333,6 +335,22 @@
         account_tokens = self._list_auth_tokens_and_check_ok()
         self.assertThat(len(account_tokens), Equals(2))
 
+    def test_accounthandler_auth_update_token_name(self):
+        pass
+
+    def test_accounthandler_auth_delete_authorisation_token(self):
+        uri = api.MAAS_API + "/account/?op=delete_authorisation_token"
+        data = {'token_key': self.shelf['token_key']}
+        response = requests.delete(
+            uri, data=data, auth=self.oauth, headers=api.APP_JSON_HEADER
+        )
+        self.assertTrue(response.ok, response.text)
+        # Succesful response has no text
+        self.assertThat(response.text, Equals(""))
+        # Check that list of account tokens doesn't contain the one we deleted
+        account_tokens = self._list_auth_tokens_and_check_ok()
+        self.assertThat(len(account_tokens), Equals(1))
+
     def test_sshkeyshandler_auth_create(self):
         """Add our ssh key to the admin account."""
         setup_ssh()

